KIconCanvas Class Reference

`#include <kicondialog.h>`

Inherits KIconView.

## Public Slots

void | stopLoading ()

## Signals

void | nameChanged (QString)
void | startLoading (int)
void | progress (int)
void | finished ()

## Public Member Functions

| KIconCanvas (QWidget *parent=0L, const char *name=0L)
void | loadFiles (const QStringList &files)
QString | getCurrent () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Icon canvas for KIconDialog.

Definition at line 35 of file kicondialog.h.

## Member Function Documentation

QString KIconCanvas::getCurrent | ( |  | ) | const

Returns the current icon.

Definition at line 202 of file kicondialog.cpp.

void KIconCanvas::loadFiles | ( | const QStringList & | files | ) |

Load icons into the canvas.

Definition at line 110 of file kicondialog.cpp.

void KIconCanvas::nameChanged | ( | QString |  | ) |

signal

Emitted when the current icon has changed.

The documentation for this class was generated from the following files:

- kicondialog.h
- kicondialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys